POST V1/CustomerSupport.{ext}/UserConflict

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Inventory.Entities.CollaborationEvent
NameDescriptionTypeAdditional information
EventId

No description available

string

None.

ClientId

No description available

string

None.

ClientName

No description available

string

None.

EventTitle

No description available

string

None.

SchedulerStart

No description available

string

None.

StartTime

No description available

string

None.

SchedulerEnd

No description available

string

None.

EndTime

No description available

string

None.

TimeZone

No description available

string

None.

UserTags

No description available

Collection of EMS.Inventory.Entities.Tag

None.

UnAssignedUsers

No description available

Collection of EMS.Inventory.Entities.Tag

None.

Tags

No description available

Collection of EMS.Inventory.Entities.Tag

None.

Notify

No description available

string

None.

Description

No description available

string

None.

Attachments

No description available

string

None.

CreatedDate

No description available

string

None.

CreatedUser

No description available

string

None.

Location

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "eventId": "sample string 1",
  "clientId": "sample string 2",
  "clientName": "sample string 3",
  "eventTitle": "sample string 4",
  "schedulerStart": "sample string 5",
  "startTime": "sample string 6",
  "schedulerEnd": "sample string 7",
  "endTime": "sample string 8",
  "timeZone": "sample string 9",
  "userTags": [
    {
      "tagId": "sample string 1",
      "tagType": "sample string 2",
      "tagValue": "sample string 3",
      "hasConflict": 64
    },
    {
      "tagId": "sample string 1",
      "tagType": "sample string 2",
      "tagValue": "sample string 3",
      "hasConflict": 64
    }
  ],
  "unAssignedUsers": [
    {
      "tagId": "sample string 1",
      "tagType": "sample string 2",
      "tagValue": "sample string 3",
      "hasConflict": 64
    },
    {
      "tagId": "sample string 1",
      "tagType": "sample string 2",
      "tagValue": "sample string 3",
      "hasConflict": 64
    }
  ],
  "tags": [
    {
      "tagId": "sample string 1",
      "tagType": "sample string 2",
      "tagValue": "sample string 3",
      "hasConflict": 64
    },
    {
      "tagId": "sample string 1",
      "tagType": "sample string 2",
      "tagValue": "sample string 3",
      "hasConflict": 64
    }
  ],
  "notify": "sample string 10",
  "description": "sample string 11",
  "attachments": "sample string 12",
  "createdDate": "sample string 13",
  "createdUser": "sample string 14",
  "location": "sample string 15"
}

application/xml, text/xml

Sample:
<CollaborationEvent xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Inventory.Entities">
  <Attachments>sample string 12</Attachments>
  <ClientId>sample string 2</ClientId>
  <ClientName>sample string 3</ClientName>
  <CreatedDate>sample string 13</CreatedDate>
  <CreatedUser>sample string 14</CreatedUser>
  <Description>sample string 11</Description>
  <EndTime>sample string 8</EndTime>
  <EventId>sample string 1</EventId>
  <EventTitle>sample string 4</EventTitle>
  <Location>sample string 15</Location>
  <Notify>sample string 10</Notify>
  <SchedulerEnd>sample string 7</SchedulerEnd>
  <SchedulerStart>sample string 5</SchedulerStart>
  <StartTime>sample string 6</StartTime>
  <Tags>
    <Tag>
      <HasConflict>64</HasConflict>
      <TagId>sample string 1</TagId>
      <TagType>sample string 2</TagType>
      <TagValue>sample string 3</TagValue>
    </Tag>
    <Tag>
      <HasConflict>64</HasConflict>
      <TagId>sample string 1</TagId>
      <TagType>sample string 2</TagType>
      <TagValue>sample string 3</TagValue>
    </Tag>
  </Tags>
  <TimeZone>sample string 9</TimeZone>
  <UnAssignedUsers>
    <Tag>
      <HasConflict>64</HasConflict>
      <TagId>sample string 1</TagId>
      <TagType>sample string 2</TagType>
      <TagValue>sample string 3</TagValue>
    </Tag>
    <Tag>
      <HasConflict>64</HasConflict>
      <TagId>sample string 1</TagId>
      <TagType>sample string 2</TagType>
      <TagValue>sample string 3</TagValue>
    </Tag>
  </UnAssignedUsers>
  <UserTags>
    <Tag>
      <HasConflict>64</HasConflict>
      <TagId>sample string 1</TagId>
      <TagType>sample string 2</TagType>
      <TagValue>sample string 3</TagValue>
    </Tag>
    <Tag>
      <HasConflict>64</HasConflict>
      <TagId>sample string 1</TagId>
      <TagType>sample string 2</TagType>
      <TagValue>sample string 3</TagValue>
    </Tag>
  </UserTags>
</CollaborationEvent>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfSystem.Object
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

Object

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "Object",
  "response": {},
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.